Package org.apache.storm.windowing.persistence

## Enum WindowPartitionCache.RemovalCause

- java.lang.Object
- - java.lang.Enum<WindowPartitionCache.RemovalCause>
  - - org.apache.storm.windowing.persistence.WindowPartitionCache.RemovalCause

- All Implemented Interfaces:
    `Serializable`, `Comparable<WindowPartitionCache.RemovalCause>`
  Enclosing interface:
    WindowPartitionCache<K,​V>

      public static enum WindowPartitionCache.RemovalCause
      extends Enum<WindowPartitionCache.RemovalCause>

  The reason why an enrty got evicted from the cache.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXPLICIT` | The entry was forcefully invalidated from the cache.
    `REPLACED` | The entry was evicted from the cache due to overflow.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WindowPartitionCache.RemovalCause` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WindowPartitionCache.RemovalCause[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPLICIT

          public static final WindowPartitionCache.RemovalCause EXPLICIT

      The entry was forcefully invalidated from the cache.

    - #### REPLACED

          public static final WindowPartitionCache.RemovalCause REPLACED

      The entry was evicted from the cache due to overflow.

  - ### Method Detail

    - #### values

          public static WindowPartitionCache.RemovalCause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowPartitionCache.RemovalCause c : WindowPartitionCache.RemovalCause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowPartitionCache.RemovalCause valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null